Table of Contents

## Name

AuSoundRecordToFile - create a flow to record to a file.

## Synopsis

#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuEventHandlerRec *AuSoundRecordToFile(server, filename, source, gain, callback, callback_data, mode, file_format, comment, rate, data_format, flow, volume_mult_elem, status)
AuServer *server;
char *filename;
AuDeviceID source;
AuFixedPoint gain;
void (*callback) (AuServer *, AuEventHandlerRec *, AuEvent *, AuPointer);
AuPointer callback_data;
int mode;
int file_format;
char *comment;
AuUint32 rate;
int data_format;
AuFlowID *flow; /* RETURN */
int *volume_mult_elem; /* RETURN */
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
filename
  Specifies the name of the file to record to.
source
  Specifies the input device to use.
gain
  Specifies the gain for the input device.
callback
  Specifies the procedure to be called for additional event processing.
callback_data
  Specifies any additional arguments to be passed to the callback.
mode
  Specifies the line mode for the input device. Currently the following line modes are defined: AuDeviceInputModeNone, AuDeviceInputModeLineIn, AuDeviceInputModeMicrophone.
file_format
  Specifies the file format. Currently, the following file formats are supported: SoundFileFormatSnd, SoundFileFormatVoc, SoundFileFormatWave, SoundFileFormatAiff, SoundFileFormatSvx.
comment
  Specifies a comment to embedded in the file.
rate
  Specifies the sample rate to record at.
data_format
  Specifies the data format. Currently, the following data formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.
flow
  If non-NULL, returns the flow ID.
volume_mult_elem
  Accord to the comment in the source, not implemented.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSoundRecordToFile creates a flow to record from source to filename and returns a pointer to the event handler created or NULL if there was an error.

## Errors

AuBadDevice.

## See Also

AuSoundRecord, AuSoundRecordToBucket, AuSoundRecordToData, AuSoundRecordToFileN.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also